import type { DisplayObjectConfig } from '../dom';
import type { BaseStyleProps, ParsedBaseStyleProps } from '../types';
import { DisplayObject } from './DisplayObject';
export interface ImageStyleProps extends BaseStyleProps {
    x?: number | string;
    y?: number | string;
    z?: number;
    img?: string | HTMLImageElement;
    src?: string | HTMLImageElement;
    width?: number | string;
    height?: number | string;
    isBillboard?: boolean;
}
export interface ParsedImageStyleProps extends ParsedBaseStyleProps {
    x: number;
    y: number;
    z?: number;
    img?: string | HTMLImageElement;
    src?: string | HTMLImageElement;
    width?: number;
    height?: number;
    isBillboard?: boolean;
}
export declare class Image extends DisplayObject<ImageStyleProps, ParsedImageStyleProps> {
    constructor({ style, ...rest }?: DisplayObjectConfig<ImageStyleProps>);
}
//# sourceMappingURL=Image.d.ts.map